Subject: Re: [Teas] [IANA #992491] Protocol Action: 'OSPF-Traffic Engineering Link Availability Extension for Links with Variable Discrete Bandwidth' to Proposed Standard (draft-ietf-ccamp-ospf-availability-extension-13.txt)

From: Lou Berger <[email-masked]>
Date: Tue, 9 Jan 2018 11:53:14 -0500

Greg,

     Our (designated experts) rational was included in the forwarded 
message:

 > The short answer is to avoid the sub-tlv values used in RFC7688 (1-5)
 > and 7138 (1-2) and it seemed better to start with 10 then 6.

Do you have concerns with this approach?  If so what?

Thanks,
Lou

On 12/15/2017 4:03 PM, Greg Mirsky wrote:
> Dear TEAS Experts, et. al,
> I've refreshed my memory of the RFC 8258 that defined SCSI-TLV and the 
> Generalized SCSI (Switching Capability Specific Information) TLV Types 
> registry. The current registry has values 1 through 9 as unassigned 
> and without any reference. Do you have plans to use these values in 
> the future? And it would help me a great deal if you expand on 
> references to allocated sub-TLV type values for RFC 7688 and RFC 7138. 
> Do you have concern that the new Availability type may be used in the 
> same TLV with them? I don't see that as possible scenario but I might 
> be missing something here.
>
> Regards,
> Greg
>
> On Fri, Dec 15, 2017 at 1:03 PM, Amanda Baber via RT 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Dear Authors,
>
>     This is the answer from the designated experts re: the use of
>     value 10 instead of value 1:
>
>     > The short answer is to avoid the sub-tlv values used in RFC7688
>     (1-5)
>     > and 7138 (1-2) and it seemed better to start with 10 then 6. 
>     Also, if
>     > they want to discuss further, please ask them to send a message
>     to the
>     > TEAS WG list.
>
>     Can you review this registry action and below confirm that we've
>     completed it correctly? Please see the question below as well.
>
>     We've added the following entry to the Generalized SCSI (Switching
>     Capability Specific Information) TLV Types registry:
>
>     Value: 10
>     SCSI-TLV: Availability
>     Switching Type:
>     Reference: [RFC-ietf-ccamp-ospf-availability-extension-13]
>
>     QUESTION: RFC 8258 states that "New allocation requests to this
>     registry must indicate the value or values to be used in the
>     Switching Type column." How should we fill in the column for this
>     registration? Please note that this field should be added to the
>     IANA Considerations section.
>
>     Please see
>     https://www.iana.org/assignments/gmpls-sig-parameters
>     <https://www.iana.org/assignments/gmpls-sig-parameters>
>
>     Once we have data for the Switching Type field, if this action is
>     otherwise correct, we'll tell the RFC Editor the actions are complete.
>
>     Best regards,
>
>     Amanda Baber
>     Lead IANA Services Specialist
>
>
>
>
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 9 Jan 2018 17:18:57 +0000

Hi Lou,

i’m missing the “collision” with the other registries you’re mentioning, which I guess are:

- Types for sub-TLVs of Optical Node Property (Value 6): where RFC7688 defines values from 1 to 5
- Types for sub-TLVs of OTN-TDM SCSI (Switching Capability Specific Information): where RFC7138 defines values 1 and 2

The former is used in a totally different TLV (optical node property), while the latter in association with Switching type 110.

Thanks,
Daniele

From: Lou Berger [mailto:[email-masked]]
Sent: martedì 9 gennaio 2018 17:53
To: Greg Mirsky <[email-masked]>; TEAS WG <[email-masked]>
Cc: D'Alessandro Alessandro Gerardo <[email-masked]>; BRUNGARD, DEBORAH A (ATTLABS) <[email-masked]>; Alia Atlas <[email-masked]>; Shah, Himanshu <[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; [email-masked]; Yemin (Amy) <[email-masked]>; [email-masked]; Alvaro Retana <[email-masked]>; Fatai Zhang <[email-masked]>; Daniele Ceccarelli <[email-masked]>
Subject: Re: [Teas] [IANA #992491] Protocol Action: 'OSPF-Traffic Engineering Link Availability Extension for Links with Variable Discrete Bandwidth' to Proposed Standard (draft-ietf-ccamp-ospf-availability-extension-13.txt)

Greg,

Thanks,
Lou
On 12/15/2017 4:03 PM, Greg Mirsky wrote:
Dear TEAS Experts, et. al,
I've refreshed my memory of the RFC 8258 that defined SCSI-TLV and the Generalized SCSI (Switching Capability Specific Information) TLV Types registry. The current registry has values 1 through 9 as unassigned and without any reference. Do you have plans to use these values in the future? And it would help me a great deal if you expand on references to allocated sub-TLV type values for RFC 7688 and RFC 7138. Do you have concern that the new Availability type may be used in the same TLV with them? I don't see that as possible scenario but I might be missing something here.

Regards,
Greg

On Fri, Dec 15, 2017 at 1:03 PM, Amanda Baber via RT <[email-masked]<mailto:[email-masked]>> wrote:
Dear Authors,

This is the answer from the designated experts re: the use of value 10 instead of value 1:

> and 7138 (1-2) and it seemed better to start with 10 then 6.  Also, if
> they want to discuss further, please ask them to send a message to the
> TEAS WG list.

Can you review this registry action and below confirm that we've completed it correctly? Please see the question below as well.

We've added the following entry to the Generalized SCSI (Switching Capability Specific Information) TLV Types registry:

Value: 10
SCSI-TLV: Availability
Switching Type:

QUESTION: RFC 8258 states that "New allocation requests to this registry must indicate the value or values to be used in the Switching Type column." How should we fill in the column for this registration? Please note that this field should be added to the IANA Considerations section.

Please see

Once we have data for the Switching Type field, if this action is otherwise correct, we'll tell the RFC Editor the actions are complete.

Best regards,

Amanda Baber

Teas mailing list

[email-masked]<mailto:[email-masked]>

---

From: Lou Berger <[email-masked]>
Date: Tue, 9 Jan 2018 12:30:17 -0500

What's the problem with starting with 10 so it's easy to note there 
assignment for the new definition starts?  The number space is 
sufficiently large...

Lou

On 1/9/2018 12:18 PM, Daniele Ceccarelli wrote:
> - Types for sub-TLVs of OTN-TDM SCSI (Switching Capability Specific 
> Information): where RFC7138 defines values 1 and 2
>
> The former is used in a totally different TLV (optical node property), 
> while the latter in association with Switching type 110.
>
> Thanks,
>
> Daniele
>
> *From:*Lou Berger [mailto:[email-masked]]
> *Sent:* martedì 9 gennaio 2018 17:53
> *To:* Greg Mirsky <[email-masked]>; TEAS WG <[email-masked]>
> *Cc:* D'Alessandro Alessandro Gerardo 
> <[email-masked]>; BRUNGARD, DEBORAH A 
> (ATTLABS) <[email-masked]>; Alia Atlas <[email-masked]>; Shah, 
> Himanshu <[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; 
> [email-masked]; Yemin (Amy) 
> <[email-masked]>; [email-masked]; Alvaro Retana 
> <[email-masked]>; Fatai Zhang <[email-masked]>; Daniele 
> Ceccarelli <[email-masked]>
> *Subject:* Re: [Teas] [IANA #992491] Protocol Action: 'OSPF-Traffic 
> Engineering Link Availability Extension for Links with Variable 
> Discrete Bandwidth' to Proposed Standard 
> (draft-ietf-ccamp-ospf-availability-extension-13.txt)
>
> Greg,
>
>     I've refreshed my memory of the RFC 8258 that defined SCSI-TLV and
>     the Generalized SCSI (Switching Capability Specific Information)
>     TLV Types registry. The current registry has values 1 through 9 as
>     unassigned and without any reference. Do you have plans to use
>     these values in the future? And it would help me a great deal if
>     you expand on references to allocated sub-TLV type values for RFC
>     7688 and RFC 7138. Do you have concern that the new Availability
>     type may be used in the same TLV with them? I don't see that as
>     possible scenario but I might be missing something here.
>
>     Regards,
>
>     Greg
>
>         Can you review this registry action and below confirm that
>         we've completed it correctly? Please see the question below as
>         well.
>
>         We've added the following entry to the Generalized SCSI
>         (Switching Capability Specific Information) TLV Types registry:
>
>         Value: 10
>         SCSI-TLV: Availability
>         Switching Type:
>         QUESTION: RFC 8258 states that "New allocation requests to
>         this registry must indicate the value or values to be used in
>         the Switching Type column." How should we fill in the column
>         for this registration? Please note that this field should be
>         added to the IANA Considerations section.
>
>         Please see
>         Once we have data for the Switching Type field, if this action
>         is otherwise correct, we'll tell the RFC Editor the actions
>         are complete.
>
>
>         Best regards,
>
>         Amanda Baber
>     [email-masked] <mailto:[email-masked]>
>

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 9 Jan 2018 17:35:32 +0000

No problem at all, we can start also from 1000, i just wanted to understand why. I understand why 10 but I still don't understand why those two registries...but I can live with that. 

Daniele  

> -----Original Message-----
> Sent: martedì 9 gennaio 2018 18:30
> To: Daniele Ceccarelli <[email-masked]>; Greg Mirsky
> <[email-masked]>; TEAS WG <[email-masked]>
> Cc: D'Alessandro Alessandro Gerardo
> Himanshu <[email-masked]>; Vishnu Pavan Beeram
> <[email-masked]>; [email-masked]; Yemin (Amy)
> <[email-masked]>; Fatai Zhang <[email-masked]>
> Subject: Re: [Teas] [IANA #992491] Protocol Action: 'OSPF-Traffic Engineering
> Link Availability Extension for Links with Variable Discrete Bandwidth' to
> Proposed Standard (draft-ietf-ccamp-ospf-availability-extension-13.txt)
> 
> What's the problem with starting with 10 so it's easy to note there assignment
> for the new definition starts?  The number space is sufficiently large...
> 
> Lou
> 
> 
> > > (1-5) and 7138 (1-2) and it seemed better to start with 10 then 6.
> >

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 9 Jan 2018 09:55:07 -0800

Hi Lou,
happy New Year and the best wishes to All!
I don't have concerns regarding to proposed type value but one question and
a two suggestions:

   - the Generalized SCSI (Switching Capability Specific Information) TLVs
   Types registry lists values from 1 through 9 as Unassigned. Are there plans
   to assign them to newer SCSI Types or rather exclude the range from being
   used altogether? If the latter,
   then draft-ietf-ccamp-ospf-availability-extension may be the right placed
   to state that in the IANA Considerations section.
   - There's no Experimental use range in SCSI Type registry. May be useful.
   - Similar to making 0 reserved value in the registry, should 65535 be
   reserved as well?

Regards,
Greg

On Tue, Jan 9, 2018 at 8:53 AM, Lou Berger <[email-masked]> wrote:

> I've refreshed my memory of the RFC 8258 that defined SCSI-TLV and the Generalized
> SCSI (Switching Capability Specific Information) TLV Types registry. The
> current registry has values 1 through 9 as unassigned and without any
> reference. Do you have plans to use these values in the future? And it
> would help me a great deal if you expand on references to allocated sub-TLV
> type values for RFC 7688 and RFC 7138. Do you have concern that the new
> Availability type may be used in the same TLV with them? I don't see that
> as possible scenario but I might be missing something here.
>
> Regards,
> Greg
>
> On Fri, Dec 15, 2017 at 1:03 PM, Amanda Baber via RT <
> [email-masked]> wrote:
>
>> Dear Authors,
>>
>> QUESTION: RFC 8258 states that "New allocation requests to this registry
>> must indicate the value or values to be used in the Switching Type column."
>> How should we fill in the column for this registration? Please note that
>> this field should be added to the IANA Considerations section.
>>
>> Please see
> Teas mailing [email-masked]://www.ietf.org/mailman/listinfo/teas
>
>
>